#pragma once

#include "opencv2/core/core.hpp"


class DepthProcess
{
private:
    cv::Mat imgRGB;
    cv::Mat imgDepth;   // or pointCloud detect by lidar
    cv::Mat mK; // camera intrinsic or external parameters between camera and lidar
    cv::Mat obstacle;   // [dis, cls, maby size]
public:
    DepthProcess(cv::Mat mk);
    void obstacleDetect(cv::Mat imgDepth);
    void obstacleRecognize(cv::Mat boxes);
    cv::Mat getObstacle();
};
